import pathlib

import pkg_resources

from mopidy import config, ext

__version__ = pkg_resources.get_distribution("Mopidy-Webhooks").version


class Extension(ext.Extension):

    dist_name = "Mopidy-Webhooks"
    ext_name = "webhooks"
    version = __version__

    def get_default_config(self):
        return config.read(pathlib.Path(__file__).parent / "ext.conf")

    def get_config_schema(self):
        schema = super().get_config_schema()
        schema["urls"] = config.String()
        schema["tokens"] = config.Secret(optional=True)
        return schema

    def setup(self, registry):
        from .frontend import WebhooksFrontend

        registry.add("frontend", WebhooksFrontend)
